* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.product-list {
  padding-top: 50px;
  background: linear-gradient(to right, #e8cbc0, #636fa4);

  background-repeat: no-repeat;
  background-size: cover;
}

.product-list .section-heading {
  padding-bottom: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
}

.product-list .section-item {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.card {
  flex-basis: 20%;
  display: inline-block;
  margin: 1rem;
  border-radius: 4px;
  box-shadow: 0 -1px 1px 0 rgba(0, 0, 0, 0.05), 0 1px 2px 0 rgba(0, 0, 0, 0.2);
  transition: all 0.2s ease;
  background: #fff;
  position: relative;
  overflow: hidden;
}

.card:hover {
  transform: translateY(-4px);
  box-shadow: 0 4px 25px 0 rgba(0, 0, 0, 0.3), 0 0 1px 0 rgba(0, 0, 0, 0.25);
}

.card:hover .card-content {
  box-shadow: inset 0 3px 0 0 #ccb65e;
  border-color: #ccb65e;
}

.card:hover .card-img .overlay {
  background-color: rgba(25, 29, 38, 0.2);
  transition: opacity 0.2s ease;
  opacity: 1;
}

.card-img {
  position: relative;
  height: 224px;
  width: 100%;
  background-color: #fff;
  transition: opacity 0.2s ease;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.card-img .overlay {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  opacity: 0;
}

.card-img .overlay .overlay-content {
  line-height: 224px;
  width: 100%;
  text-align: center;
  color: #fff;
}

.card-img .overlay .overlay-content a {
  color: #fff;
  background-color: rgba(0, 0, 0, 0.3);
  padding: 0 2rem;
  display: inline-block;
  border: 2px solid rgba(255, 255, 255, 0.8);
  height: 40px;
  line-height: 40px;
  border-radius: 20px;
  cursor: pointer;
  text-decoration: none;
}

.card-img .overlay .overlay-content a:hover {
  background: #ccb65e;
  border-color: #ccb65e;
}

.card-content {
  width: 100%;
  min-height: 104px;
  background-color: #fff;
  border-top: 1px solid #E9E9EB;
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
  padding: 1rem 2rem;
  transition: all 0.2s ease;
}

.card-content a {
  text-decoration: none;
  color: #202927;
}

.card-content a h2 {
  font-size: 1.5rem;
  font-weight: 500;
}

.card-content a p {
  font-size: 0.8rem;
  font-weight: 400;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: rgba(32, 41, 28, 0.8);
}

.card-content .price {
  display: flex;
  justify-content: space-between;
}

.card-content button {
  text-transform: uppercase;
}

.card-content button:hover {
  background-color: #E84D1C;
  color: #fff;
}

.card-content button i {
  display: none;
}

.card-content button:hover i {
  display: inline-block;
}

.product-list .section-view-all {
  padding-top: 20px;
  padding-bottom: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.product-list .section-view-all button {
  border: none;
  background-color: transparent;
  color: rgba(0, 0, 0, 0.9);
  font-size: 25px;
  font-style: italic;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.product-list .section-view-all button:hover {
  color: rgb(28, 58, 223)
}

/* Login Page Begin*/
.login-page {
  margin-top: 60px;
}

/*Start All Product List*/
.all-product-list {
  display: flex;
  padding: 10px 0px;
}

.all-product-list {
  width: 100%;
}

/*End Product List*/

/*Start Product Filter */
.product-filter {
  padding: 0px 10px 10px 10px;
  width: 20vw;
  background-color: #dff9fb;
}

.product-filter .search-filter {
  width: 95%;
  margin-top: 10px;
  background-color: transparent;
  border: 1px solid black;
  border-radius: 5px;
}

.product-filter .search-filter i {
  padding-left: 10px;
}

.product-filter .search-filter input {
  border: none;
  padding-left: 10px;
  width: 85%;
  height: 44px;
  background-color: transparent;
  font-size: 20px;
}

.search-filter input:focus-visible {
  outline: none;
}

.product-filter .filter-name {
  margin-top: 20px;
}

.filter-name ul {
  padding: 0px;
}

.filter-name ul li {
  list-style-type: none;
}

.filter-name ul li a {
  text-decoration: none;
  color: rgba(0, 0, 0, 0.8);
  line-height: 30px;
}

.filter-price .filter-input {
  display: inline-flex;
}

.filter-price .filter-input input {
  width: 100px;
  margin: 0px 10px;
}

.filter-price .filter-input .separator {
  font-size: 15px;
}

.product-type {
  margin-top: 20px;
}

.product-type ul {
  padding: 0px;
}

.product-type ul li {
  list-style-type: none;
}

.product-type ul li label {
  line-height: 30px;
  width: 100px;
}

.filter-btn {
  margin-top: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.filter-btn button {
  width: 50%;
  height: 30px;
  border: none;
  border-radius: 5px;
  color: #fff;
  background-color: rgb(23, 74, 240, 0.8);
}

.filter-btn button:hover {
  box-shadow: rgb(235, 231, 15) 0px 0px 0px 2px inset;
}

.product-list-item .product_top_bar {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0px 20px 10px 20px;
  background: #828bb3;
  height: 62px;
  border-radius: 5px;
}

.product_top_bar .sorting {
  margin-top: 10px;
  margin-right: 10px;

}

.product_top_bar .sorting select {
  width: 100px;
  height: 40px;
}

.product_top_bar .pagination {
  margin-top: 10px;
  padding: 5px;
  border-radius: 0px;
  background-color: #fff;
}

.product-list-item .product-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.product-list-item .product-content .card {}